﻿Imports System.IO

Public Class FormDeleteQuote
    Public Property SelectedQuote As String

    Private Sub FormDeleteQuote_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        LoadUserQuotes()
    End Sub

    Private Sub LoadUserQuotes()
        Dim userQuotes As List(Of String) = File.ReadAllLines(Path.Combine(Application.StartupPath, "quotes-user.txt")).ToList()
        listBoxQuotes.DataSource = userQuotes
    End Sub

    Private Sub ListBoxQuotes_SelectedIndexChanged(sender As Object, e As EventArgs) Handles listBoxQuotes.SelectedIndexChanged
        SelectedQuote = listBoxQuotes.SelectedItem.ToString()
    End Sub

    Private Sub ButtonOK_Click(sender As Object, e As EventArgs) Handles ButtonOK.Click
        DialogResult = DialogResult.OK
        Me.Close()
    End Sub

    Private Sub ButtonCancel_Click(sender As Object, e As EventArgs) Handles ButtonCancel.Click
        Me.Close()
    End Sub
End Class
