﻿Imports System.IO

Public Class FormEditQuote
    Public Property SelectedQuote As String

    Private Sub FormEditQuote_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim userQuotes As List(Of String) = File.ReadAllLines(Path.Combine(Application.StartupPath, "quotes-user.txt")).ToList()
        For Each quote In userQuotes
            listBoxQuotes.Items.Add(quote)
        Next
    End Sub

    Private Sub listBoxQuotes_SelectedIndexChanged(sender As Object, e As EventArgs) Handles listBoxQuotes.SelectedIndexChanged
        If listBoxQuotes.SelectedItem IsNot Nothing Then
            textBoxEditQuote.Text = listBoxQuotes.SelectedItem.ToString()
            EditedQuote = textBoxEditQuote.Text
        End If
    End Sub

    Private Sub ButtonOK_Click(sender As Object, e As EventArgs) Handles ButtonOK.Click
        If listBoxQuotes.SelectedItem IsNot Nothing Then
            SelectedQuote = textBoxEditQuote.Text
            DialogResult = DialogResult.OK
            Me.Close()
        Else
            MessageBox.Show("Please select a quote to edit.")
        End If
    End Sub

    Private Sub ButtonCancel_Click(sender As Object, e As EventArgs) Handles ButtonCancel.Click
        DialogResult = DialogResult.Cancel
        Me.Close()
    End Sub
End Class
